// 转换全部环境变量属性
export function wrapperEnv(envConf: any) {
  const ret: any = {};

  const keys = Object.keys(envConf);
  for (let i = 0; i < keys.length; i += 1) {
    const envName = keys[i];
    let realName = envConf[keys[i]].replace(/\\n/g, '\n');
    realName = realName === 'true' ? true : realName === 'false' ? false : realName;
    if (envName === 'VITE_PORT') {
      realName = Number(realName);
    }
    if (envName === 'VITE_PROXY' && realName) {
      try {
        realName = JSON.parse(realName.replace(/'/g, '"'));
      } catch (error) {
        realName = '';
      }
    }
    ret[envName] = realName;
    if (typeof realName === 'string') {
      process.env[envName] = realName;
    } else if (typeof realName === 'object') {
      process.env[envName] = JSON.stringify(realName);
    }
  }
  return ret;
}

// 代理配置转换
export function createProxy(list: [string, string][]) {
  const obj: any = {};
  list.forEach(v => {
    obj[v[0]] = {
      target: v[1],
      changeOrigin: true,
      rewrite: (path:any) => path.replace(new RegExp(`^${v[0]}`), ''),
      ...(/^https:\/\//.test(v[1]) ? { secure: false } : {})
    };
  });
  return obj;
}
