import type { Plugin } from 'vite'
import vueJsx from '@vitejs/plugin-vue-jsx'
import vueSetupExtend from 'vite-plugin-vue-setup-extend'
import vue from '@vitejs/plugin-vue'
import { viteMockServe } from 'vite-plugin-mock'

export function createVitePlugins(viteEnv, isBuild: boolean, mode) {
    const {
        VITE_APP_MOCK
    } = viteEnv
    const vitePlugins: (Plugin | Plugin[])[] = [
        vue(),
        vueJsx(),
        vueSetupExtend(),
        viteMockServe({
            mockPath: 'mock',
            localEnabled: !isBuild,
            prodEnabled: isBuild && VITE_APP_MOCK as boolean,
            //  控制关闭mock的时候不让mock打包到最终代码内
            injectCode: `
        import { setupProdMockServer } from '/mock/mockProdServer';
        setupProdMockServer();
        `
        })
    ]
    return vitePlugins
}
