import type { MockMethod } from 'vite-plugin-mock';
import { routeList } from './menuList';

export interface IReq {
  body: any;
  query: any,
  headers: any;
}

const responseData = (code: number, msg: string, data: any) => ({
  code: code,
  msg: msg,
  data: data
});

export default [
  {
    url: '/api/User/login',
    method: 'post',
    timeout: 300,
    response: (req: IReq) => {
      const { username} = req.body;
      return responseData(200, '登陆成功', `token_${username}_token`);
    }
  },
  {
    url: '/api/User/getRoute',
    method: 'get',
    timeout: 300,
    response: () => responseData(200, '返回成功', routeList)
  },
  {
    url: '/api/getDictionary',
    method: 'get',
    timeout: 300,
    response: () => responseData(200, '返回成功', [1, 2, 3])
  },
  {
    url: '/api/getDueryData',
    method: 'get',
    timeout: 300,
    response: () => responseData(200, '返回成功', { total: 3, status: 0, records: [
      {
        date: '2016-05-03',
        name: 'Tom',
        address: 'No. 189, Grove St, Los Angeles'
      },
      {
        date: '2016-05-02',
        name: 'Tom',
        address: 'No. 189, Grove St, Los Angeles'
      },
      {
        date: '2016-05-04',
        name: 'Tom',
        address: 'No. 189, Grove St, Los Angeles'
      },
      {
        date: '2016-05-01',
        name: 'Tom',
        address: 'No. 189, Grove St, Los Angeles'
      }
    ] }
    )
  }
] as MockMethod[];
