import type { AxiosResponse } from 'axios';
import qs from 'qs';
import request from '@/utils/request';

/**
 * @description 查询日志统计折线图
 */
export function getLogLineChart(data: any): Promise<AxiosResponse> {
  return request({
    url: `/system/log/getLogLineChart/${data}`,
    method: 'get',
  });
}

/**
 * @description 查询日志统计饼图和柱状图
 */
export function getLogHistogramAndPieChart(data: any): Promise<AxiosResponse> {
  return request({
    url: '/system/log/getLogHistogramAndPieChart',
    method: 'get',
    params: data,
    paramsSerializer: (params) => qs.stringify(params, { indices: false }),
  });
}
