import type { AxiosResponse } from 'axios';
import request from '@/utils/request';

/**
 * @description 查询安评配置项
 */
export const getSecurityConfig = (params = {}): Promise<AxiosResponse> =>
  request({
    url: '/system/config/safe',
    method: 'get',
    params,
  });

/**
 * @description 修改安评配置项值
 */
export const updateSecurityConfig = (data = {}): Promise<AxiosResponse> =>
  request({
    url: '/system/config/update',
    method: 'post',
    data,
  });

/**
 * @description 获取安全配置各项数据的安评配置
 */
export const getSafeState = (): Promise<AxiosResponse> =>
  request({
    url: '/system/config/safeState',
    method: 'get',
  });

/**
 * @description 获取修改密码的安评配置
 */
export const getSafePasswordSecurityState = (): Promise<AxiosResponse> =>
  request({
    url: '/system/config/state/passwordSecurity',
    method: 'get',
  });
