import type { AxiosResponse } from 'axios';
import request from '@/utils/request';

/**
 * @description 查询安全配置信息
 */
export const getSystemConfig = (): Promise<AxiosResponse> =>
  request({
    url: '/system/config/project/info',
    method: 'get',
  });

/**
 * @description 上传系统图标(未修改、单纯上传)
 */
export const uploadSystemIcon = (data = {}): Promise<AxiosResponse> =>
  request({
    url: '/system/config/file/uploadSystemIcon',
    method: 'post',
    data,
  });

/**
 *  @description 修改系统图标文件
 */
export const updateSystemIcon = (data = {}): Promise<AxiosResponse> =>
  request({
    url: '/system/config/update/systemIcon',
    method: 'post',
    data,
  });

/**
 *  @description 修改系统标题
 */
export const updateSystemName = (systemName = ''): Promise<AxiosResponse> =>
  request({
    url: `/system/config/update/systemName/${systemName}`,
    method: 'post',
  });

/**
 *  @description 修改系统副标题
 */
export const updateSystemSubTitle = (systemSubTitle = ''): Promise<AxiosResponse> =>
  request({
    url: `/system/config/update/systemSubTitle/${systemSubTitle}`,
    method: 'post',
  });
