import type { AxiosResponse } from 'axios';
import qs from 'qs';
import request from '@/utils/request';

/**
 * @description 查询日志信息
 */
export function getSystemLog(data: any): Promise<AxiosResponse> {
  return request({
    url: '/system/systemLog/page',
    method: 'get',
    params: data,
    paramsSerializer: (params) => qs.stringify(params, { indices: false }),
  });
}

/**
 * @description 删除日志
 */
export function deleteHistoryLog(code = ''): Promise<AxiosResponse> {
  return request({
    url: `/system/systemLog/deleteHistoryLog/${code}`,
    method: 'post',
  });
}

/**
 * @description 导出数据
 */
export function getFile(data: any): Promise<AxiosResponse> {
  return request({
    url: '/system/systemLog/export',
    method: 'get',
    params: data,
    responseType: 'blob',
    paramsSerializer: (params) => qs.stringify(params, { indices: false }),
  });
}
