import { computed } from 'vue';
import { useRoute, useRouter } from 'vue-router';

import type { MenuList } from '@/types/store/layout';
import { useLayoutStore } from '@/store/modules/layout';

export function useMenu() {
  const route = useRoute();
  const router = useRouter();
  const { setRoutes, getMenubar } = useLayoutStore();

  // 菜单树数据
  const menuData = filterMenubar(getMenubar!.menuList[0]!.children as MenuList[]);
  setRoutes(menuData);

  const activeMenu = computed(
    () =>
      // if(route.meta.activeMenu) return route.meta.activeMenu
      route.path,
  );
  const handleMenuChange = (d: any) => {
    router.push({ path: d });
  };
  return {
    activeMenu,
    menuData,
    handleMenuChange,
  };
}

// 过滤隐藏的菜单
function filterMenubar(menuList: MenuList[]) {
  const f = (menuList: MenuList[]) => {
    const arr: MenuList[] = [];
    menuList
      .filter((v) => !v.meta.hidden)
      .filter((v) => v.type !== '2')
      .forEach((v) => {
        const currentItem = v;
        arr.push(currentItem);
        if (currentItem.children && currentItem.children.length > 0) {
          arr[arr.length - 1].children = f(currentItem.children);
        }
      });
    return arr;
  };
  return f(menuList);
}
