import { createApp } from 'vue';
import ElementPlus from 'element-plus';
import { pinia } from '@/store';
import router from '@/router/index';

import 'nprogress/nprogress.css';
import 'element-plus/dist/index.css';
import '@/assets/styles/index.scss';

import '@/permission';
import useDirect from '@/directive/index';
import { useElementPlusIconsVue } from '@/plugins/element-plus';
import { saveSystemLog } from '@/api/systemManagement/loginLog';
// import { logoutBeforeCloseTheBrowser } from '@/utils/tools';

import App from './App.vue';

const app = createApp(App);
if (process.env.NODE_ENV !== 'development') {
  app.config.errorHandler = (err) => {
    const params = {
      browser: window.navigator.userAgent,
      target: window.location.href,
      source: 'FRONT_END',
      content: (err as any).stack,
    };
    saveSystemLog(params);
  };
}
useDirect(app);
useElementPlusIconsVue(app);

app.use(ElementPlus).use(router).use(pinia).mount('#app');

// let beginTime = 0;
// let differTime = 0;
// window.onunload = function () {
//   differTime = new Date().getTime() - beginTime;
//   // 时间 5 不固定 根据实际情况决定
//   if (differTime <= 5) {
//     // 关闭浏览器
//     logoutBeforeCloseTheBrowser();
//   }
// };
// window.onbeforeunload = function () {
//   beginTime = new Date().getTime();
// };
