export interface IObject<T> {
  [index: string]: T;
}
export interface IResponse<T = any> {
  code: number;
  msg: string;
  data: T;
}
export interface ImportMetaEnv {
  VITE_APP_TITLE: string;
  VITE_PORT: number;
  VITE_PROXY: [string, string][];
  VITE_APP_MOCK: boolean;
  VITE_IS_3D: boolean; // 是否需要引入smart3d 如果是三维项目默认引入 可在env 中设置取消
}
export interface loginParam {
  username: string;
  password: string;
}
export interface Fn<T = any, R = T> {
  (...arg: T[]): R;
}

export type TimeoutHandle = ReturnType<typeof setTimeout>;

declare global {
  interface Window {
    $TOKEN: any;
  }
  interface IObject<T> {
    [index: string]: T;
  }
}
