export interface MenuList {
  pid?: number | string;
  id?: number | string;
  name: string;
  path: string;
  redirect?: string | { name: string };
  meta: {
    icon?: string;
    title: string;
    permission?: string[];
    activeMenu?: string; // 路由设置了该属性，则会高亮相对应的侧边栏
    noCache?: boolean; // 页面是否不缓存
    hidden?: boolean; // 是否隐藏路由
    alwaysShow?: boolean; // 当子路由只有一个的时候是否显示当前路由
  };
  component: (() => Promise<typeof import('*.vue')>) | string;
  children?: Array<MenuList>;
}

export interface ITabsItem {
  name: string;
  title: string;
  path: string;
  isActive: boolean;
}

export interface IMenu {
  menuList: Array<MenuList>;
}
export interface ITabs {
  tabsList: Array<ITabsItem>;
  cachedViews: string[];
}

export interface AppStatus {
  ACCESS_TOKEN: string;
}

export interface ISetting {
  theme: number;
  color: {
    primary: string;
  };
  showTabs: boolean;
}

export interface Layout {
  menu: IMenu;
  status: AppStatus;
  setting: ISetting;
  tabs: ITabs;
}
