export interface ISetting {
  theme: number;
  color: {
    primary: string;
    headerBg: string;
  };
  showTabs: boolean;
  mode: 'horizontal' | 'vertical' | 'both'; // both -> 一级在顶部 其他在侧边
}

export interface MenuList {
  pid?: number | string;
  id?: number | string;
  type?: number | string; // 0 目录 -1 菜单 1 按钮
  name: string;
  path: string;
  redirect?: string | { name: string };
  meta: {
    icon?: string;
    title: string;
    activeMenu?: string; // 路由设置了该属性，则会高亮相对应的侧边栏
    isCache?: boolean; // 页面是否缓存
    hidden?: boolean; // 是否隐藏路由,
    permission?: string | string[];
    alwaysShow?: boolean;
    isShowOnMenu?: boolean; // 是否显示在左侧的菜单 e.g. 消息通知
    operate?: number; // 0 操作、1 只读、2、管理
  };
  component: (() => Promise<typeof import('*.vue')>) | (() => Promise<unknown>) | string;
  children?: Array<MenuList>;
}
export interface ITabsList {
  name: string;
  title: string;
  path: string;
  isActive: boolean;
}
export interface ITabs {
  tabsList: Array<ITabsList>;
  cachedViews: string[];
}

export enum IMenubarStatus {
  PCE, // 电脑展开
  PCN, // 电脑合并
  PHE, // 手机展开
  PHN, // 手机合并
}

export interface IMenubar {
  status: IMenubarStatus;
  menuList: Array<MenuList>;
  subMenuList: Array<MenuList>;
  isPhone: boolean;
}
export interface Layout {
  setting: ISetting;
  tabs: ITabs;
  // 左侧导航栏
  menubar: IMenubar;
}
