export interface IDefaultRoutePath {
  path: string;
}

export interface IUserInfo {
  avatarInfo: {
    id?: string;
    name?: string;
    url?: string;
  };
  cardNo: string;
  email: string;
  id: string;
  phone: string;
  loginId: string;
  name: string;
  sex: number;
  auditTips?: null | string;
  lockFlag?: null | string;
  orgId?: null | string;
  orgNames?: null | string;
  positionId?: null | string;
  positionNames?: null | string;
  state?: null | string;
}

export interface ISystemImage {
  id: string;
  name: string;
  url: string;
}

export interface System {
  publicKey: string;
  defaultRoutePath: IDefaultRoutePath;
  userInfo: IUserInfo;
  isLogin: boolean | null;
  systemImage: ISystemImage;
  systemName: string;
  systemSubTitle: string;
  tempToken?: {
    access_token: string;
    expires_in: number;
    jti: string;
    refresh_token: string;
    scope: string;
    token_type: string;
  } | null; // 临时记录token
}
