import type { ComputedRef } from 'vue';

export interface ITheme {
  // 扩展element任意变量不需要声明
  [index: string]: any;
  primaryColor: ComputedRef<string> | string;
  t1Color: string; // 标题色
  t2Color: string; // 文字内容色
  t3Color: string; // 文字说明色
  t4Color: string; // 文字占位色
  s1Color: string; // 边框色1
  s2Color: string; // 边框色2
  d1Color: string; // 分割线1
  d2Color: string; // 分割线2
  d3Color: string; // 分割线2
  n1Color: string; // 图标色1
  n2Color: string; // 图标色2
  n3Color: string; // 图标色2

  // 头部样式
  headerHeight: string; // 头部高度
  headerBg: ComputedRef<string> | string; // 头部背景色
  headerColor: string;

  // 路由标签
  tagsActiveColor: ComputedRef<string> | string;
  tagsActiveBg: string;

  // 侧边栏
  sidebarWidth: string; // 侧边栏宽度
  sidebarColor: string;
  sidebarActiveBg: ComputedRef<string> | string;
  menuInlineBg: string;
  menuItemHeight: string;

  // 表格
  tableActiveRowBg: string;
  tableHeaderCellBg: string;
  tableHeaderCellSize: string;
  tableHeaderCellColor: string;
  tableFontSize: string;

  // 面包屑
  breadcrumbFontSize: string;
}
