import type { IDatePickerType } from 'element-plus/es/components/date-picker/src/date-picker.type';

export interface LocalStore {
  startTime: number;
  expires: number;
  [propName: string]: any;
}

export interface FormSelectOption {
  value: string | number;
  label: string;
  disabled?: boolean;
  children?: FormSelectOption[];
}
export interface TreeProps {
  label?: string;
  children?: string;
  disabled?: string;
  isLeaf?: string;
  class?: string;
}

export interface FormOption {
  label: string;
  key: string;
  type:
    | 'select'
    | 'virtualSelect'
    | 'input'
    | 'inputNumber'
    | 'dateTimePicker'
    | 'radio'
    | 'cascader'
    | 'selectIcon'
    | 'avatar'
    | 'datePicker'
    | 'attachmentInput'
    | 'PersonTree'
    | 'checkbox'
    | 'inputButton'
    | 'treeSelect'
    | 'switch';
  placeholder?: string | null;
  labelWidth?: string;
  disabled?: boolean;
  span?: number | undefined;
  options?: FormSelectOption[];
  min?: number;
  max?: number;
  maxlength?: number;
  controlPos?: '' | 'right';
  value?: any;
  inputType?: string;
  rows?: string;
  cascaderProps?: any;
  changeEvent?: any;
  datePickerType?: any;
  clearable?: boolean;
  disabledDate?: any;
  buttonLabel?: string;
  showCheckbox?: boolean;
  checkStrictly?: boolean;
  props?: TreeProps;
  dataKey?: string;
  multiple?: boolean;
  optionValue?: string;
  optionLabel?: string;
  tip?: boolean;
  tipText?: string;
  collapseTags?: boolean;
  collapseTagsTooltip?: boolean;
  filterMethod?: any;
  slotName?: string;
  allowCreate?: boolean;
}

export interface BlobData {
  data: Blob;
  fileName: string;
}

export interface SearchOption {
  label?: string;
  key: string;
  type?: string;
  placeholder?: string;
  labelWidth?: string;
  disabled?: boolean;
  span?: number | undefined;
  options?: FormSelectOption[];
  datePickerType?: IDatePickerType | undefined;
  clearable?: boolean;
  value?: any;
  rangeKey?: any[];
}
