import { reactive, toRefs } from 'vue';

const state = reactive({
  addRoleActive: 'info', // 新增角色tab控制
  tabPanelDisabled: true,
  addRoleTempInfo: '',
});
export default function useRoleManage() {
  function changeType(type: string) {
    state.addRoleActive = type;
  }
  function setTabPanelDisabled(status: boolean) {
    state.tabPanelDisabled = status;
  }
  function setAddRoleTempInfo(roleInfo: any) {
    state.addRoleTempInfo = roleInfo;
  }
  return {
    ...toRefs(state),
    changeType,
    setTabPanelDisabled,
    setAddRoleTempInfo,
  };
}
