import { toRefs, reactive } from 'vue';
import type { SearchOption } from '@/types/tools';

export default function useOptions(): any {
  const optionsData = {
    status: [
      {
        value: '',
        label: '所有',
      },
      {
        value: '0',
        label: '失败',
      },
      {
        value: '1',
        label: '成功',
      },
    ],
    riskLevel: [
      {
        value: '0',
        label: '高',
      },
      {
        value: '1',
        label: '中',
      },
      {
        value: '2',
        label: '低',
      },
    ],
  };
  const state = reactive<{
    searchOptions: SearchOption[];
    columns: any[];
  }>({
    searchOptions: [
      {
        label: '登录状态',
        key: 'isSuccess',
        type: 'select',
        options: optionsData.status,
        span: 4,
      },
      {
        label: '风险等级',
        key: 'riskLevel',
        type: 'select',
        options: optionsData.riskLevel,
        span: 4,
      },
      {
        label: '',
        key: 'createTime',
        type: 'dateTimePicker',
        datePickerType: 'datetimerange',
        labelWidth: '0px',
      },
      {
        label: '',
        key: 'keyword',
        type: 'text',
        placeholder: '登录账号/登录名称/登录ip',
        labelWidth: '0px',
      },
    ],
    columns: [
      {
        prop: 'isSuccess',
        label: '登录状态',
        minWidth: 100,
        align: 'center',
        slot: 'isSuccess',
      },
      {
        prop: 'loginId',
        label: '登录账号',
        minWidth: 100,
        align: 'center',
      },
      {
        prop: 'userName',
        label: '用户名',
        minWidth: 100,
        align: 'center',
      },
      {
        prop: 'ip',
        label: '登录IP',
        minWidth: 100,
        align: 'center',
      },
      {
        prop: 'logInfo',
        label: '日志信息',
        minWidth: 100,
        align: 'center',
      },
      {
        prop: 'riskLevel',
        label: '风险等级',
        minWidth: 100,
        align: 'center',
        slot: 'riskLevel',
      },
      {
        prop: 'operatingTime',
        label: '操作时间',
        minWidth: 100,
        align: 'center',
      },
    ],
  });

  return {
    ...toRefs(state),
  };
}
