import { reactive, toRefs } from 'vue';

interface IState {
  // 新增公告
  isShowAddModal: boolean;
  isShowAddModalReadOnly: boolean;
  notificationForm: any;
  formRef: any;
  // 编辑公告
  // isShowEditModal: boolean; // 编辑弹窗
}

export default function useAnnouncementModal(): any {
  const state = reactive<IState>({
    isShowAddModal: false,
    notificationForm: {},
    formRef: null,
    isShowAddModalReadOnly: false,
  });

  /* 新增/发布 公告（弹窗）**/
  const handleAddAnnouncementModal = (rowData, isShowAddModalReadOnly = false) => {
    const tempData: any = rowData;
    tempData.attachments = tempData.attachments || [];
    state.isShowAddModal = true;
    state.notificationForm = tempData;
    state.isShowAddModalReadOnly = isShowAddModalReadOnly;
  };
  const handleCloseAddAnnouncementModal = () => {
    state.isShowAddModal = false;
    state.notificationForm = {};
  };
  return {
    ...toRefs(state),
    handleAddAnnouncementModal,
    handleCloseAddAnnouncementModal,
  };
}
