import { reactive, toRefs, nextTick } from 'vue';

interface IState {
  // 新增公告
  isShowAddModal: boolean;
  directMessageForm: any;
  formRef: any;
  isShowAddModalReadOnly: boolean;
  // 编辑公告
  // isShowEditModal: boolean; // 编辑弹窗
}

export default function useAnnouncementModal(): any {
  const state = reactive<IState>({
    isShowAddModal: false,
    directMessageForm: {},
    formRef: null,
    isShowAddModalReadOnly: false,
  });

  /* 新增/发布 公告（弹窗）**/
  const handleAddDirectMessageModal = (rowData, isShowAddModalReadOnly) => {
    const tempData: any = rowData;
    tempData.attachments = tempData.attachments || [];
    tempData.receiveMode = tempData.receiveMode ? tempData.receiveMode : [];
    state.isShowAddModal = true;
    state.directMessageForm = tempData;
    state.isShowAddModalReadOnly = isShowAddModalReadOnly;
  };
  const handleCloseAddAnnouncementModal = () => {
    state.isShowAddModal = false;
    state.directMessageForm = {};
    nextTick(() => {
      state.formRef.restoreForm();
    });
  };
  // 保存接收人信息
  const setReceiver = (val) => {
    state.directMessageForm.receiverIds = val.map((e) => e.id);
  };
  return {
    ...toRefs(state),
    handleAddDirectMessageModal,
    handleCloseAddAnnouncementModal,
    setReceiver,
  };
}
