export interface IConfig {
  code?: string;
  id?: string;
  name?: string;
  rule?: string | null;
  sort?: string | null;
  unit?: string;
  value: string;
  state: 0 | 1;
}
export interface IState {
  passwordSecurity?: IConfig | null | undefined; // 密码安全
  verificationCode?: IConfig | null | undefined; // 登录验证码
  session?: IConfig | null | undefined; // 会话超时分钟
  accountLock?: IConfig | null | undefined; // 账户锁定次数
  concurrentUserNumber?: IConfig | null | undefined; // 并发用户限制个数
  repeatLogin?: IConfig | null | undefined; // 不允许重复登录
  adminEmail?: IConfig | null | undefined; // 系统管理员邮箱
  auditEmail?: IConfig | null | undefined; // 审计管理员邮箱
  whiteIp?: IConfig | null | undefined; // 白名单IP
  loginLogSize?: IConfig | null | undefined; // 登录日志容量
  logSize?: IConfig | null | undefined; // 操作日志容量
  visitTime?: IConfig | null | undefined; // 可访问时间
  changePassword?: IConfig | null | undefined; // 定期修改密码
  accountLockTime?: IConfig | null | undefined; // 账户锁定时间
  countDown?: IConfig | null | undefined; // 问询倒计时
  forceOffline?: IConfig | null | undefined; // 重复登录强制下线
}
